Bug 212897 - (pear-Structures-DG) Review Request: php-pear-Structures-DataGrid - A tabular structure for converting data
Review Request: php-pear-Structures-DataGrid - A tabular structure for conver...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT DG-Renderer-Pager DG-DataSource-DO pear-DG-Array pear-DG-RSS
  Show dependency treegraph
 
Reported: 2006-10-29 20:09 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 23:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 20:09:14 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-0.7.2-1.src.rpm

Description:
This package offers a toolkit to render out a datagrid in HTML format as well
as many other formats such as an XML Document, an Excel Spreadsheet, an XUL
Document and more. It also offers paging and sorting functionallity to limit
the data that is presented and processed. This concept is based on the .NET
Framework DataGrid control and works very well with database and XML result
sets.
Comment 1 Jason Tibbitts 2006-11-13 12:33:59 EST
rpmlint complains about the lack of documentation:
   W: php-pear-Structures-DataGrid no-documentation
but that's the honest truth; this package doesn't have so much as a README file.
 Which sucks, but there's not much to be done about it.

* source files match upstream:
   bb51347f4b792d733c22f6ffd594766c  Structures_DataGrid-0.7.2.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint output is acceptable.
* final provides and requires are sane:
   php-pear(Structures_DataGrid) = 0.7.2
   php-pear-Structures-DataGrid = 0.7.2-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation)
* code, not content.
* No documentation to consider putting in a -docs subpackage.

APPROVED
Comment 2 Christopher Stone 2006-11-13 23:06:13 EST
Package is still beta, there is documentation on the web site.  Thanks for the
review!
Comment 3 Christopher Stone 2007-05-05 19:50:56 EDT
Package Change Request
======================
Package Name: php-pear-Structures-DataGrid
New Branches: EL-5
Comment 4 Dennis Gilmore 2007-05-06 01:25:25 EDT
branched for EL
Comment 5 Christopher Stone 2007-05-06 17:50:45 EDT
This was branched for both EL-4 and EL-5.  I only requested an EL-5 branch.  Can
the EL-4 branch be removed?

Note You need to log in before you can comment on or make changes to this bug.